Bug 247490 - lstat failed errors - .cache contains invalid items
Summary: lstat failed errors - .cache contains invalid items
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-09 16:12 UTC by Milan Broz
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 12:09:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Broz 2007-07-09 16:12:44 UTC
+++ This bug was initially created as a clone of Bug #246516 +++
RHEL4.5 clone

Description of problem:
During lvm regression testing there is a test case that attempts to create 32
mirrors all with the names "thirty_[1-32]" and lately whenever I attempt to
create a mirror with that name I get a "lstat failed" error even though the
creation works.  If I try a different name, I don't see the error. I didn't
notice any left over entries in the device-mapper listings and I have deleted
both the lvm/backup and lvm/archive directories.

lvcreate -m 1 -n thirty_1 -vvvv -L 100M mirror_sanity

  /dev/mirror_sanity/thirty_1_mlog: lstat failed: No such file or directory
  Logical volume "thirty_1" created

...
-- Additional comment from mbroz@redhat.com on 2007-07-09 11:55 EST --
I see this on RHEL4 too when using lvconvert on mirror and converting from core
log to disk log (even if .cache is removed before this operation).
(But it is seems that problem is in .cache use anyway.)

Comment 2 Milan Broz 2007-07-23 12:09:22 UTC
My mistake - this bug is not present in the released packages for RHEL4.5.
Already fixed upstream, so next release will not contain this bug.



Note You need to log in before you can comment on or make changes to this bug.